Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class AbstractList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList

All Implemented Interfaces:
  Collection, List

Direct Known Subclasses:
  ArrayList

public abstract class AbstractList
extends AbstractCollection
implements List

Constructor Summary
`protected` | `AbstractList()`

Method Summary
`void` | `add(int index, java.lang.Object element)`
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(int index, Collection c)`
`void` | `clear()`
`boolean` | `equals(java.lang.Object o)`
`abstract java.lang.Object` | `get(int index)`
`int` | `hashCode()`
`int` | `indexOf(java.lang.Object o)`
`Iterator` | `iterator()`
`int` | `lastIndexOf(java.lang.Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`java.lang.Object` | `remove(int index)`
`protected void` | `removeRange(int fromIndex, int toIndex)`
`java.lang.Object` | `set(int index, java.lang.Object element)`
`List` | `subList(int fromIndex, int toIndex)`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractList

    protected AbstractList()

Method Detail

### add

    public boolean add(java.lang.Object o)
                throws UnsupportedOperationException,
                       java.lang.ClassCastException,
                       java.lang.IllegalArgumentException

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractCollection`
    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`

### get

    public abstract java.lang.Object get(int index)
                                  throws java.lang.IndexOutOfBoundsException

  Specified by:
    `get` in interface `List`
    `java.lang.IndexOutOfBoundsException`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)
                         throws UnsupportedOperationException,
                                java.lang.ClassCastException,
                                java.lang.IllegalArgumentException,
                                java.lang.IndexOutOfBoundsException

  Specified by:
    `set` in interface `List`
    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`
    `java.lang.IndexOutOfBoundsException`

### add

    public void add(int index,
                    java.lang.Object element)
             throws UnsupportedOperationException,
                    java.lang.ClassCastException,
                    java.lang.IllegalArgumentException,
                    java.lang.IndexOutOfBoundsException

  Specified by:
    `add` in interface `List`
    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`
    `java.lang.IndexOutOfBoundsException`

### remove

    public java.lang.Object remove(int index)
                            throws UnsupportedOperationException,
                                   java.lang.IndexOutOfBoundsException

  Specified by:
    `remove` in interface `List`
    `UnsupportedOperationException`
    `java.lang.IndexOutOfBoundsException`

### indexOf

    public int indexOf(java.lang.Object o)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(java.lang.Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### clear

    public void clear()
               throws UnsupportedOperationException

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollection`
    `UnsupportedOperationException`

### addAll

    public boolean addAll(int index,
                          Collection c)
                   throws UnsupportedOperationException,
                          java.lang.ClassCastException,
                          java.lang.IllegalArgumentException,
                          java.lang.IndexOutOfBoundsException

  Specified by:
    `addAll` in interface `List`
    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`
    `java.lang.IndexOutOfBoundsException`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in class `AbstractCollection`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)
                              throws java.lang.IndexOutOfBoundsException

  Specified by:
    `listIterator` in interface `List`
    `java.lang.IndexOutOfBoundsException`

### subList

    public List subList(int fromIndex,
                        int toIndex)
                 throws java.lang.IndexOutOfBoundsException,
                        java.lang.IllegalArgumentException

  Specified by:
    `subList` in interface `List`
    `java.lang.IndexOutOfBoundsException`
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `Collection`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Overrides:
    `hashCode` in class `java.lang.Object`

### removeRange

    protected void removeRange(int fromIndex,
                               int toIndex)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD